View Issue Details

IDProjectCategoryView StatusLast Update
0035632LazarusIDEpublic2019-06-17 23:12
ReporterJonas MaebeAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.2Product Build 
Target VersionFixed in Version 
Summary0035632: Function result of TPascalParserTool.DoAtom is not set in all cases
DescriptionIn components/codetools/pascalparsertool.pas, the result of TPascalParserTool.DoAtom is not set if
* ReadAttribute gets called
* IsIdentStartChar[c] is false and c is different from '(' and '['
TagsNo tags attached.
Fixed in Revision61368.
LazTarget-
Widgetset
Attached Files

Activities

Jonas Maebe

2019-06-12 19:07

manager   ~0116697

If ReadAttribute gets called, result is still not initialised.

Mattias Gaertner

2019-06-13 00:23

manager   ~0116705

61373.

Issue History

Date Modified Username Field Change
2019-05-25 19:13 Jonas Maebe New Issue
2019-05-25 19:13 Jonas Maebe Status new => assigned
2019-05-25 19:13 Jonas Maebe Assigned To => Mattias Gaertner
2019-06-12 17:33 Mattias Gaertner Status assigned => resolved
2019-06-12 17:33 Mattias Gaertner Resolution open => fixed
2019-06-12 17:33 Mattias Gaertner Fixed in Revision => 61368.
2019-06-12 17:33 Mattias Gaertner LazTarget => -
2019-06-12 19:07 Jonas Maebe Note Added: 0116697
2019-06-13 00:23 Mattias Gaertner Status resolved => closed
2019-06-13 00:23 Mattias Gaertner Note Added: 0116705